## icu 2.1

=== source/samples/datefmt/Makefile ===
--- 
+++ 
@@ -50,7 +50,7 @@
 
 # Make check: simply runs the sample, logged to a file
 check: $(TARGET)
-	$(TARGET) | tee $(TARGET).out
+	$(INVOKE) ./$(TARGET) | tee $(TARGET).out
 
 # Make report: creates a 'report file' with both source and sample run
 report: $(TARGET).report
@@ -59,7 +59,7 @@
 	more $(TARGET).cpp $(TARGET).out > $@
 
 $(ICU_INC):
-	@echo "Please read the directions at the top of this file (Makefile)"
+	@echo "Please read the directions at the top of this file (Makefile) and the README"
 	@echo "Can't open $(ICU_INC)"
 	@false
