=== source/samples/translit/Makefile ===
--- 
+++ 
@@ -29,6 +29,7 @@
 
 # All object files (C or C++)
 OBJECTS=main.o util.o
+# You can simply add 'unaccent.o'  to the above line for example.
 
 CLEANFILES=*~ $(TARGET).out
 
@@ -50,7 +51,7 @@
 
 # Make check: simply runs the sample, logged to a file
 check: $(TARGET)
-	$(TARGET) | tee $(TARGET).out
+	$(INVOKE) ./$(TARGET) | tee $(TARGET).out
 
 # Make report: creates a 'report file' with both source and sample run
 report: $(TARGET).report
