=== source/samples/ufortune/Makefile ===
--- 
+++ 
@@ -49,7 +49,7 @@
 .PHONY: all clean distclean check report subdirs $(SUBDIRS)
 
 subdirs: $(SUBDIRS)
-	
+
 $(SUBDIRS):
 	$(MAKE) -C $@
 
@@ -66,7 +66,7 @@
 
 # Make check: simply runs the sample, logged to a file
 check: $(TARGET)
-	$(UFINVOKE) $(TARGET) | tee $(TARGET).out
+	$(UFINVOKE) ./$(TARGET) | tee $(TARGET).out
 
 # Make report: creates a 'report file' with both source and sample run
 report: $(TARGET).report
