## icu 4.4.1

=== debian/changelog ===
icu (4.4.1-8+squeeze5) squeeze-lts; urgency=high

  * Non-maintainer upload by the Squeeze LTS team.
  * CVE-2015-2632: Fix information disclosure via overflows.

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Sun, 10 Jan 2016 21:18:10 +0100

icu (4.4.1-8+squeeze4) squeeze-lts; urgency=medium

  * Non-maintainer upload by the Squeeze LTS team.
  * CVE-2015-4760: Fix boundary checks in layout engine. Backport patch from
    unstable.
  * Backport two-digit-year-test.patch from wheezy to fix the intltest test
    suite.

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Mon, 27 Jul 2015 17:03:08 +0200

icu (4.4.1-8+squeeze3) squeeze-lts; urgency=medium

  * Non-maintainer upload by the Squeeze LTS team.
  * Backports from wheezy:
  * CVE-2013-1569, CVE-2013-2383, CVE-2013-2384, and CVE-2013-2419
  * CVE-2014-6585: out-of-bounds read.
  * CVE-2014-6591: more out-of-bounds reads.
  * CVE-2014-7923: memory corruption in regular expression comparison.
  * CVE-2014-7926: memory corruption in regular expression comparison.
  * CVE-2014-7940: uninitialized memory in i18n/icol.cpp.
  * CVE-2014-9654: more regular expression handling issues.

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Sat, 09 May 2015 10:21:30 +0200

icu (4.4.1-8+squeeze2) oldstable-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix cve-2013-0900: race condition in locid.cpp.
  * Fix cve-2013-2924: use-after-free issue in csrucode.cpp.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 27 Oct 2013 04:40:46 +0000

icu (4.4.1-8) stable-security; urgency=high

  * Add patch to address CVE-2011-4599, a potential buffer overflow.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 21 Jan 2012 20:04:26 -0500

icu (4.4.1-7) testing-proposed-updates; urgency=high

  * Apply patch to fix Malayam rendering.  (Closes: #591615)

 -- Jay Berkenbilt <qjb@debian.org>  Thu, 25 Nov 2010 12:07:26 -0500

icu (4.4.1-6) unstable; urgency=low

  * Include patch from Alexander Kurtz to solve failure to build from
    source resulting from doxygen generating different files.  (Closes:
    #590393)

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 28 Jul 2010 18:44:01 -0400

icu (4.4.1-5) unstable; urgency=low

  * Include patch from upstream to fix arm assembler bug.  Thanks to Adam
    Barratt for finding the fix.  (Closes: #589076)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 17 Jul 2010 07:30:22 -0400

icu (4.4.1-4) unstable; urgency=low

  * Re-upload to unstable
  * Remove conficts and replaces for packages that have been gone since
    before the release of lenny
  * Updated standards version to 3.9.0

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 11 Jul 2010 12:19:00 -0400

icu (4.4.1-3) experimental; urgency=low

  * Replace my patch with a complete fix from upstream.  The fix in the
    previous upload behaves identically in a debian environment, but it's
    better to track with upstream.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 22 May 2010 08:32:48 -0400

icu (4.4.1-2) experimental; urgency=low

  * Increase buffer sizes in pkgdata.  Prevents bus errors in kfreebsd and
    undetected overruns everywhere else.  (Closes: #581174)

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 21 May 2010 21:56:34 -0400

icu (4.4.1-1) experimental; urgency=low

  * New upstream release
  * Removed kfreebsd patch as kfreebsd works out of the box now, according
    to upstream.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 01 May 2010 10:45:04 -0400

icu (4.4-1) experimental; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 09 Apr 2010 22:27:30 -0400

icu (4.4~rc1-1) experimental; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 06 Mar 2010 11:54:54 -0500

icu (4.3.4-1) experimental; urgency=low

  * New upstream release
  * Upstream release includes change of static library names to be
    consistent with normal standards.  (Closes: #469454)
  * Updated standards to 3.8.4.  No changes needed.
  * Updated source format to '3.0 (quilt)'

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 06 Feb 2010 16:55:29 -0500

icu (4.2.1-3) unstable; urgency=low

  * Change install-doc target to not fail if there are subdirectories of
    doc/html.  This is necessary to handle the doc/html/search directory
    created by doxygen 3.6.1.  (Closes: #544799)

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 04 Sep 2009 11:56:06 -0400

icu (4.2.1-2) unstable; urgency=low

  * Added missing 4.0.1-4 entry to changelog.

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 19 Aug 2009 21:58:56 -0400

icu (4.2.1-1) unstable; urgency=low

  * New upstream release
  * Updated standards version to 3.8.3.  No changes required.
  * First unstable upload to not use tarball in tarball packaging.
    (Closes: #538560)

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 19 Aug 2009 17:11:40 -0400

icu (4.2.1~rc1-3) experimental; urgency=low

  * More aggressive fix to invalid object files being written by pkgdata.
    This is a temporary fix until upstream provides a better one.
    (Closes: #530568)

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 28 Jun 2009 09:57:40 -0400

icu (4.2.1~rc1-2) experimental; urgency=low

  * Bug 530568 is not fixed.  Add some debugging code.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 27 Jun 2009 09:34:16 -0400

icu (4.2.1~rc1-1) experimental; urgency=low

  * New upstream release
  * Fixed bug in pkgdata that was causing build failures on most
    platforms. (Closes: #530568)
  * Removed /emul/ia32-linux stuff. (Closes: #533850)
  * Updated standards version to 3.8.2

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 26 Jun 2009 22:12:55 -0400

icu (4.0.1-4) unstable; urgency=high

  * Added conflicts on older versions of libc6-i386 for 32-bit versions of
    the libraries installed on 64-bit systems.  (Closes: #538836)

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 04 Aug 2009 08:54:45 -0400

icu (4.0.1-3) unstable; urgency=low

  * Removed /emul/ia32-linux stuff. (Closes: #533850)
  * Updated standards version to 3.8.2

