=== debian/watch ===
version=3
opts="uversionmangle=s/_/\./g;s/\.d/~d/" \
http://download.icu-project.org/files/icu4c/(?:\d+\.[\d\.]+)/icu4c-([d\d_\.]+)-src.tgz
